﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            editor.ItemsSource = new List<ObjectWrapper>()
            {
                new ObjectWrapper("aaaa"),
                new ObjectWrapper("aaa"),
                new ObjectWrapper("bbbb"),
                new ObjectWrapper("cccc"),
                new ObjectWrapper("dd"),
                new ObjectWrapper("ee"),
                new ObjectWrapper("ff"),
                new ObjectWrapper("gg"),
                new ObjectWrapper("ii"),
                new ObjectWrapper("jj"),
                new ObjectWrapper("kk"),
                new ObjectWrapper("dd1"),
                new ObjectWrapper("ee1"),
                new ObjectWrapper("ff1"),
                new ObjectWrapper("gg1"),
                new ObjectWrapper("ii1"),
                new ObjectWrapper("jj1"),
                new ObjectWrapper("kk1"),
            };

            editor.SelectionChanged += new EventHandler(editor_SelectionChanged);
        }

        void editor_SelectionChanged(object sender, EventArgs e)
        {
            int a = 0;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //progressBar1.Background = Brushes.Gray; //背景色
            //progressBar1.Foreground = Brushes.Blue; //前景色
            progressBar1.IsIndeterminate = true;  

        }
    }

    public class ObjectWrapper
    {
        public ObjectWrapper(object target)
        {
            Target = target;
            Name = Target.ToString();

        }

        public string Name
        {
            set;
            get;
        }

        public object Target
        {
            get;
            set;
        }

        public override string ToString()
        {
            return Name;
        }
    }
}
